SDL_HasClipboardData(3)

NAME
SDL_HasClipboardData - Query whether there is data in the clipboard for the provided mime type.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_HasClipboardData(const char *mime_type);

FUNCTION PARAMETERS

mime_type
    The mime type to check for data for

RETURN VALUE
Returns SDL_TRUE
 if there exists data in clipboard for the provided mime type, SDL_FALSE
 if it does not.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetClipboardData(3), SDL_GetClipboardData(3)